<template>
  <div class="card">
    <div class="card-body">
      <h4
        class="card-title"
        :class="$i18n.locale == 'ar' ? 'font-size-15' : 'txt-left'"
      >
        {{ label }}
      </h4>
      <div class="col-12 pd-0" style="padding: 0">
        <div v-if="$i18n.locale == 'en'" class="col-12"><br /><br /></div>
        <editor
          id="editorAR1"
          v-model="row.input"
          v-on:input="onChange"
          :api-key="editor.api_key"
          :init="{
            height: 300,
            menubar: editor.menubar,
            plugins: editor.plugins,
            toolbar: editor.toolbar,
          }"
        />

        <!--  @keydown.space.prevent  -->
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "CardTextArea",
  props: ["label", "input"],
  data() {
    return {
      row: {
        input: this.$props.input,
      },
      editor: {
        api_key: window.editor_apiKey,
        menubar: window.editor_menubar,
        plugins: window.editor_plugins,
        toolbar: window.editor_toolbar,
      },
    };
  },
  methods: {
    onChange() {
      const data = {
        input: this.row.input,
      };
      this.$emit("inputChange", data);
    },
    onPaste() {
      let str = this.row.input;
      this.preventSpace(str);
    },
    preventSpace(str) {
      if (!str) {
        let str = this.row.input;
        this.row.input = str.replace(/\s+/g, "-");
      } else {
        this.row.input = str.replace(/\s+/g, "-");
      }
    },
  },
};
</script>
